<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vinicius',

    /*
     * Package.
     */
    'package'   => 'image_gallery',

    /*
     * Modules.
     */
    'modules'   => ['gallery'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'gallery'       => [
        'model' => [
            'model'                 => \Vinicius\ImageGallery\Models\Gallery::class,
            'table'                 => 'galleries',
            'presenter'             => \Vinicius\ImageGallery\Repositories\Presenter\GalleryItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', ],
            'translatables'         => [],
            'upload_folder'         => 'image_gallery/gallery',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vinicius',
            'package'   => 'ImageGallery',
            'module'    => 'Gallery',
        ],

    ],
];
